Bug 1056654 - Review Request: python-narcissus-hub - Hub components for Narcissus, realtime log visualization
Summary: Review Request: python-narcissus-hub - Hub components for Narcissus, realtime...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-22 16:13 UTC by Ralph Bean
Modified: 2015-01-14 19:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-12 15:12:55 UTC
Type: ---
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-01-22 16:13:38 UTC
Spec URL: http://ralph.fedorapeople.org//python-narcissus-hub.spec
SRPM URL: http://ralph.fedorapeople.org//python-narcissus-hub-0.9.0.1-1.fc20.src.rpm

Description:
This package contains the "hub" components for narcissus.  Narcissus is a web
application that visualizes web server hits as they happen in real time.

Features:

* IP addresses converted to latitude/longitude, then streamed via
  WebSockets to `polymaps <http://polymaps.org/>`_.
* Realtime graphs of what countries are downloading what content with `d3
  <http://d3js.org>`_.
* `Ømq (zeromq) <http://www.zeromq.org/>`_ on the backend.
* **Fast**.  No polling.

You can see a demo running live at http://narcissus.rc.rit.edu
It is visualizing the logs of http://mirror.rit.edu

Comment 1 Ralph Bean 2014-01-22 16:13:43 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6440186

Comment 2 Ralph Bean 2014-01-22 21:34:18 UTC
New Package SCM Request
=======================
Package Name: python-narcissus-hub
Short Description: Hub components for Narcissus, realtime log visualization
Owners: ralph
Branches: f20 f19 el6
InitialCC:

Comment 3 Ralph Bean 2014-01-22 21:35:59 UTC
Apologies.  I set the flag for the scm request prematurely.

Comment 4 Patrick Uiterwijk 2014-01-22 21:37:17 UTC
I'll review this.

Comment 5 Patrick Uiterwijk 2014-01-22 22:15:30 UTC
If you can add the specified packages for directory requirements, this package is

APPROVED





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


==== ISSUES =====
- You need some packages to provide /etc/moksha and %{python2_sitelib}/narcissus


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[!]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-narcissus-hub-0.9.0.1-1.fc21.noarch.rpm
          python-narcissus-hub-0.9.0.1-1.fc21.src.rpm
python-narcissus-hub.noarch: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
python-narcissus-hub.noarch: W: spelling-error %description -l en_US polymaps -> poly maps, poly-maps, polyps
python-narcissus-hub.noarch: W: spelling-error %description -l en_US http -> HTTP
python-narcissus-hub.noarch: W: spelling-error %description -l en_US zeromq -> zero
python-narcissus-hub.noarch: W: spelling-error %description -l en_US www -> WWW, wow
python-narcissus-hub.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
python-narcissus-hub.noarch: W: non-conffile-in-etc /etc/moksha/production.ini.example-narcissus
python-narcissus-hub.src: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
python-narcissus-hub.src: W: spelling-error %description -l en_US polymaps -> poly maps, poly-maps, polyps
python-narcissus-hub.src: W: spelling-error %description -l en_US http -> HTTP
python-narcissus-hub.src: W: spelling-error %description -l en_US zeromq -> zero
python-narcissus-hub.src: W: spelling-error %description -l en_US www -> WWW, wow
python-narcissus-hub.src: W: spelling-error %description -l en_US backend -> backed, back end, back-end
python-narcissus-hub.src: W: invalid-url Source0: http://pypi.python.org/packages/source/n/narcissus.hub/narcissus.hub-0.9.0.1.tar.gz The read operation timed out
2 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-narcissus-hub
python-narcissus-hub.noarch: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
python-narcissus-hub.noarch: W: spelling-error %description -l en_US polymaps -> poly maps, poly-maps, polyps
python-narcissus-hub.noarch: W: spelling-error %description -l en_US http -> HTTP
python-narcissus-hub.noarch: W: spelling-error %description -l en_US zeromq -> zero
python-narcissus-hub.noarch: W: spelling-error %description -l en_US www -> WWW, wow
python-narcissus-hub.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
python-narcissus-hub.noarch: W: non-conffile-in-etc /etc/moksha/production.ini.example-narcissus
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'




Requires
--------
python-narcissus-hub (rpmlib, GLIBC filtered):
    python(abi)
    python-geojson
    python-moksha-hub
    python-pygeoip
    python-setuptools



Provides
--------
python-narcissus-hub:
    python-narcissus-hub



Source checksums
----------------
http://pypi.python.org/packages/source/n/narcissus.hub/narcissus.hub-0.9.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 2151ae48f466c1f62f0372ab15e1c66882b513826d0e7d2457130e90bada852b
  CHECKSUM(SHA256) upstream package : 2151ae48f466c1f62f0372ab15e1c66882b513826d0e7d2457130e90bada852b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n python-narcissus-hub -p
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Ralph Bean 2014-01-22 22:17:26 UTC
New Package SCM Request
=======================
Package Name: python-narcissus-hub
Short Description: Hub components for Narcissus, realtime log visualization
Owners: ralph
Branches: f20 f19 el6
InitialCC:

Comment 7 Gwyn Ciesla 2014-01-23 12:54:22 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-01-23 15:35:15 UTC
python-narcissus-hub-0.9.0.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-narcissus-hub-0.9.0.1-2.fc20

Comment 9 Fedora Update System 2014-01-23 15:35:33 UTC
python-narcissus-hub-0.9.0.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-narcissus-hub-0.9.0.1-2.fc19

Comment 10 Fedora Update System 2014-01-23 15:35:51 UTC
python-narcissus-hub-0.9.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-narcissus-hub-0.9.0.1-2.el6

Comment 11 Fedora Update System 2014-02-11 19:12:02 UTC
python-narcissus-hub-0.9.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 12 Fedora Update System 2014-02-11 23:12:25 UTC
python-narcissus-hub-0.9.0.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-02-11 23:15:15 UTC
python-narcissus-hub-0.9.0.1-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 14 Ralph Bean 2015-01-14 16:33:16 UTC
Package Change Request
======================
Package Name: python-narcissus-hub
New Branches: epel7
Owners: ralph

Comment 15 Gwyn Ciesla 2015-01-14 19:37:41 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.